
TYPO3.Flow - Bug # 35011

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2012-03-19 Assigned To: Karsten Dambekalns
Updated: 2012-04-20 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Column type detection broken when Column annotation is used
Description

If a Column annotation is used but no type argument is given, the default "string" type will be used and override the detection.

Associated revisions
Revision 503891c2 - 2012-04-20 14:21 - Karsten Dambekalns

[BUGFIX] Fixes column type detection when using Column annotation

If a Column annotation is used but no type argument is given, the default
"string" type was used and did override the detection. Now the detection
is used again in those cases.

The only drawback is that you cannot force a column to be "string" any
more.

Change-Id: Ieeefa0b6a7f690c425f7dabbb9a1428dfed766c6
Fixes: #35011
Releases: 1.1

History
#1 - 2012-03-19 15:48 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9742

#2 - 2012-03-20 22:44 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9742

#3 - 2012-04-12 11:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9742
#4 - 2012-04-20 13:33 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9742

#5 - 2012-04-20 14:33 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9742

#6 - 2012-04-20 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:503891c2854b05359902ae1b7984b9c2fe2f9396.
